# SnapTrap

[SnapTrap](https://snaptrap.io) is a new Snapchat project that aims at bringing back some enhancing features to Snapchat with the use of the Xposed framework!

Current compatible Snapchat version:
```
- 11.45.0.38
- 11.46.0.33
- 11.47.0.36
```

<img align="right" src="https://snaptrap.io/images/snaptrap-screenshot.png" height="60%">

## Table of content

- [Downloads](https://snaptrap.io/downloads.html)
- [Requirements](#requirements)
    - [Root](#root)
    - [LSPosed](#lsposed)
	- [SafetyNet](#safetynet)
- [Features](#features)
    - [Working](#working)
    - [Planned](#planned)
- [License](#license)
- [Links](#links)

## Requirements

SnapTrap requires 3 things to work properly:

- Root access.
- LSPosed framework.
- Passing SafetyNet.

### Root

We highly recommend using [Magisk](https://github.com/topjohnwu/Magisk)!

You can find a guide on how to install it here: [link](https://topjohnwu.github.io/Magisk/install.html)!

### LSPosed

SnapTrap was made with LSPosed and we highly recommend that you use that too, you could technically use EdXposed or old Xposed manager but we can't guarantee that it will work!

You can find a guide on how to install LSPosed here: [link](https://github.com/LSPosed/LSPosed#install)!

### SafetyNet

Snapchat uses SafetyNet to verify the integrity of your device, we are planning on bypassing Snapchats SafetyNet checks and also implement a SafetyNet check in SnapTrap.

You can verify SafetyNet inside the Magisk app and if you are having trouble passing we recommend checking out the [this](https://github.com/kdrag0n/safetynet-fix) Github project!

## Features

SnapTrap is in a very early development stage and we are still doing a lot of research about Snapchat so all features are not yet available or 100% working, but we are working very hard on bringing back all the futures from other projects like: [SnapTools](https://github.com/jaqxues/SnapTools/) or [Snapprefs](https://github.com/marzika/Snapprefs) to the latest Snapchat version!

### Working

Here is a list of **working** SnapTrap features:

* Saving incoming Snapchat images and videos (without overlay).
* Saving Snapchat stories.
* Screenshot detection bypass.
* Compatible Snapchat version checks.
* Automatic updates.


### Planned

We have a ton of planned features and we can't fit them all here nor do we have the time to write them all down, in a very near future a complete roadmap will be available here: [link]()!


## License

The SnapTrap project is licensed under the terms of the GNU General Public License v3.0 license.

## Links

* [Website](https://snaptrap.io)
* [Downloads](https://snaptrap.io/downloads.html)
* [Discord](https://discord.gg/invite/tuA4Q4UYDh)
* [Twitter](https://twitter.com/theravengrey)
* [Source code](https://github.com/TheGreyRaven/SnapTrap)
